> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session details

> Retrieve details about a session

scopes:
- admin:shopping
- read:shopping




## OpenAPI

````yaml /mintlify-docs/openapi/spec-orders.yaml get /accounts/{aid}/shopping/orders/{order_id}/sessions/{session_id}
openapi: 3.0.0
info:
  title: Shopping API
  contact:
    name: API Integration Support
    email: integration@dintero.com
  description: >
    API for cart and orders


    # Changelog


    All notable changes to the API.


    ## 2026-06-01


    > - **new**: Add support for order operation item with exchange rate
    information

    >   The new properties can be included when creating payment operations

    >   - [POST
    /v1/accounts/{aid}/shopping/orders/{order_id}/authorizations](/orders-api/orderauthorizations/aid_orders_id_authorization_post)

    >   - [POST
    /v1/accounts/{aid}/shopping/orders/{order_id}/captures/{capture_id}](/orders-api/ordercaptures/aid_orders_id_capture_post)

    >   - [POST
    /v1/accounts/{aid}/shopping/orders/{order_id}/refunds](/orders-api/orderrefunds/aid_orders_id_refunds_post)

    >   - [POST
    /v1/accounts/{aid}/shopping/orders/{order_id}/cancellations](/orders-api/ordercancellations/aid_orders_id_cancellation_post)


    ## 2025-11-30


    > - **new**: Add support for order item with exchange rate information

    >   The new properties can be included when creating and updating draft
    items

    >   and when updating an order

    >   - [POST
    /v1/accounts/{aid}/shopping/draft_orders](/orders-api/draft/aid_draft_orders_post)

    >   - [POST /v1/accounts/{aid}/shopping/draft_orders/{id}/items
    ](/orders-api/draftitems/aid_draft_orders_id_items_post)

    >   - [PUT
    /v1/accounts/{aid}/shopping/draft_orders/{id}/items/{line_id}](/orders-api/draftitems/aid_draft_orders_id_items_line_id_put)

    >   - [PUT
    /v1/accounts/{aid}/shopping/orders/{id}](/orders-api/order/aid_orders_id_put)


    ## 2025-06-01


    > - **new**: Add support for order item discount_lines with
    `discount_subtype`

    >   The new property can be included when creating and updating draft items

    >   and when updating an order

    >   - [POST
    /v1/accounts/{aid}/shopping/draft_orders](/orders-api/draft/aid_draft_orders_post)

    >   - [POST /v1/accounts/{aid}/shopping/draft_orders/{id}/items
    ](/orders-api/draftitems/aid_draft_orders_id_items_post)

    >   - [PUT
    /v1/accounts/{aid}/shopping/draft_orders/{id}/items/{line_id}](/orders-api/draftitems/aid_draft_orders_id_items_line_id_put)

    >   - [PUT
    /v1/accounts/{aid}/shopping/orders/{id}](/orders-api/order/aid_orders_id_put)


    ## 2021-01-10


    > - **new** add support for order item status property `order.items.status`.

    >   The new property can be included when creating and updating drafts items
    and

    >   when updating an order.

    >   - [POST
    /v1/accounts/{aid}/shopping/draft_orders](/orders-api/draft/aid_draft_orders_post)

    >   - [POST /v1/accounts/{aid}/shopping/draft_orders/{id}/items
    ](/orders-api/draftitems/aid_draft_orders_id_items_post)

    >   - [PUT
    /v1/accounts/{aid}/shopping/draft_orders/{id}/items/{line_id}](/orders-api/draftitems/aid_draft_orders_id_items_line_id_put)

    >   - [PUT
    /v1/accounts/{aid}/shopping/orders/{id}](/orders-api/order/aid_orders_id_put)


    > - **new** support updating `order.external_ids`

    >   - [PUT
    /v1/accounts/{aid}/shopping/orders/{id}](/orders-api/order/aid_orders_id_put)


    ## 2021-01-08


    > - Extend order item with optional `external_id` property


    > - **new** support updating `order.itinerary`

    >   - [PUT
    /v1/accounts/{aid}/shopping/orders/{id}](/orders-api/order/aid_orders_id_put)


    ## 2021-01-06


    > - Extend the draft with `options.generate_order_id=ALPHANUMERIC_9_RESERVE`

    >   The draft `order.order_id` will be set when the new option is used.

    >   - [POST
    /v1/accounts/{aid}/shopping/draft_orders](/orders-api/draft/aid_draft_orders_post)


    > - Extend the draft options with `multiple_authorizations`

    >   Use `options.multiple_authorizations` to enable support for

    >   multiple authorizations on order items.

    >   - [POST
    /v1/accounts/{aid}/shopping/draft_orders](/orders-api/draft/aid_draft_orders_post)

    >   - [PUT
    /v1/accounts/{aid}/shopping/orders/{id}](/orders-api/order/aid_orders_id_put)

    > - Require `authorization_id` to be included in captures, refunds and

    >   cancellations if order was created with
    `options.multiple_authorizations`

    >   enabled.

    >   - [POST
    /v1/accounts/{aid}/shopping/orders/{order_id}/captures](/orders-api/ordercaptures/aid_orders_id_capture_post)

    >   - [POST
    /v1/accounts/{aid}/shopping/orders/{order_id}/refunds](/orders-api/orderrefunds/aid_orders_id_refunds_post)

    >   - [POST
    /v1/accounts/{aid}/shopping/orders/{order_id}/cancellations](/orders-api/ordercancellations/aid_orders_id_cancellation_post)


    ## 2021-01-01


    > - **new** support filter orders by: `itinerary_travel_mode`,

    >   `itinerary_arrival_address`, `itinerary_departure_address` and

    >   `items_discount_lines_discount_type`.

    >   - [GET
    /v1/accounts/{aid}/shopping/orders](/orders-api/orderlist/aid_orders_get)


    > - Extend the Order itinerary with new properties

    >   - Add support for `route_id` and `vehicle_id`.

    >   - Add support for `external_ids` in `arrival_address` and

    >     `departure_address`


    > - **new** support `include_events` when updating an order

    >   - [PUT
    /v1/accounts/{aid}/shopping/orders/{id}](/orders-api/order/aid_orders_id_put)

    >   - [POST
    /v1/accounts/{aid}/shopping/orders/{id}/comments](/orders-api/ordercomments/aid_orders_id_comments_post)

    >   - [POST
    /v1/accounts/{aid}/shopping/orders/{id}/cancel](/orders-api/orderstatus/aid_orders_id_cancel_post)

    >   - [POST
    /v1/accounts/{aid}/shopping/orders/{id}/close](/orders-api/orderstatus/aid_orders_id_close_post)

    >   - [POST
    /v1/accounts/{aid}/shopping/orders/{id}/open](/orders-api/orderstatus/aid_orders_id_open_post)

    >   - [DELETE
    /v1/accounts/{aid}/shopping/orders/{id}/comments/{comment_id}](/orders-api/ordercomments/aid_orders_id_comments_comment_id_delete)


    > - **new** endpoint for deleting comment

    >   - [DELETE
    /v1/accounts/{aid}/shopping/orders/{id}/comments/{comment_id}](/orders-api/ordercomments/aid_orders_id_comments_comment_id_delete)


    ## 2020-12-01


    > - Request for creating authorization, capture, refund or cancellation

    >   can fail with `409 Conflict` error.

    >   - [POST
    /v1/accounts/{aid}/shopping/orders/{order_id}/authorizations](/orders-api/orderauthorizations/aid_orders_id_authorization_post)

    >   - [POST
    /v1/accounts/{aid}/shopping/orders/{order_id}/captures](/orders-api/ordercaptures/aid_orders_id_capture_post)

    >   - [POST
    /v1/accounts/{aid}/shopping/orders/{order_id}/refunds](/orders-api/orderrefunds/aid_orders_id_refunds_post)

    >   - [POST
    /v1/accounts/{aid}/shopping/orders/{order_id}/cancellations](/orders-api/ordercancellations/aid_orders_id_cancellation_post)


    ## 2020-11-01


    > - Extend the draft options to specify TTL for the order

    >   Use `options.order_time_to_live` to set expiry for when

    >   the order and its draft data will be removed.

    >   - [POST
    /v1/accounts/{aid}/shopping/draft_orders](/orders-api/draft/aid_draft_orders_post)

    >   - [PUT
    /v1/accounts/{aid}/shopping/orders/{id}](/orders-api/order/aid_orders_id_put)


    ## 2020-09-01


    > - Extend payment operations items to include `payout`

    >   for order items that have a payout rule

    >   The new property shows how the payment operation item amounts

    >   should be split by its payout rule destinations

    >   - [captures](#tag/order.captures)

    >   - [cancellations](#tag/order.cancellations)

    >   - [authorizations](#tag/order.authorizations)


    > - Extend endpoint for listing draft and orders to support currency filter

    >   - [GET
    /v1/accounts/{aid}/shopping/draft_orders](/orders-api/orderlist/aid_draft_orders_get)

    >   - [GET
    /v1/accounts/{aid}/shopping/orders](/orders-api/orderlist/aid_orders_get)


    > - Extend the draft options to support replace of existing order.

    >   Use `options.replace="order"` option to replace an order when

    >   the draft is completed. This option is only valid for existing

    >   orders that have no payment operations registered (when draft is
    completed)

    >   - [POST
    /v1/accounts/{aid}/shopping/draft_orders](/orders-api/draft/aid_draft_orders_post)


    ## 2020-08-01


    > - Extend `include_events` query parameter to support multiple values. The
    parameter accept

    >   now:

    >

    >   - `false`

    >   - `true`

    >   - `api-event`

    >   - `service-event`.

    >

    >   `api-event` will be excluded from the store/customer endpoints:

    >

    >   - [GET
    /v1/accounts/{aid}/shopping/stores/{sid}/orders/](/orders-api/storeorder/aid_stores_sid_orders_get)

    >   - [GET
    /v1/accounts/{aid}/shopping/stores/{sid}/orders/{oid}](/orders-api/storeorder/aid_stores_sid_orders_id_get)

    >   - [GET
    /v1/accounts/{aid}/shopping/customers/{cid}/orders/](/orders-api/customerorder/aid_customers_cid_orders_get)

    >   - [GET
    /v1/accounts/{aid}/shopping/customers/{cid}/orders/{oid}](/orders-api/customerorder/aid_customers_cid_orders_id_get)


    > - Support adding comments to an order

    >   - [POST
    /v1/accounts/{aid}/shopping/orders/{id}/comments](/orders-api/ordercomments/aid_orders_id_comments_post)


    > - Extend the draft options to allow alphanumeric short order_id.

    >   Use `options.generate_order_id` to control the ID format for generated
    `order.order_id`.

    >   - [POST
    /v1/accounts/{aid}/shopping/draft_orders](/orders-api/draft/aid_draft_orders_post)


    > - Create order with custom order_id. The new property is only supported
    when

    >   creating draft with `split_draft=false`. The `order.order_id` will be
    set to

    >   `order.id` if no order_id is provided.

    >   - [POST
    /v1/accounts/{aid}/shopping/draft_orders](/orders-api/draft/aid_draft_orders_post)


    ## 2020-07-01


    > - Extend endpoint for listing draft and orders to support filtering

    >   - [GET
    /v1/accounts/{aid}/shopping/draft_orders](/orders-api/orderlist/aid_draft_orders_get)

    >   - [GET
    /v1/accounts/{aid}/shopping/orders](/orders-api/orderlist/aid_orders_get)


    > - Extend order with `external_ids`


    > - Extend order with `external_links`.


    > - Extend order itinerary and attachments

    >   - Add `name` and `id` to itinerary `arrival_address` and

    >     `departure_address. Make all address properties options

    >   - Add `line_ids` and `id` to itinerary and attachments

    >   - Add `operator` to itinerary

    >   - Extend `itinerary.travel_mode` with `CUSTOM`


    > - Extend order events with `event_type` to support event types `api-event`
    and `service-event`.


    > - Extend order event with `draft_id`, a readOnly property that are
    included

    >   in events where the order was created or updated by a draft.


    > - Extend order with `itinerary` and `attachment` for including travel
    details


    > - Extend order items with readOnly `version` property that will be set

    >   when the draft order item is added or updated.


    > - Extend order payment operation definition with

    >   `processed_by` and `payment_details`.


    ## 2020-06-01


    > **[draft](#tag/draft)**

    >

    > - Extend the draft options to allow more control for how payout is
    configured

    > - Extend the draft order items to support including `manual_payout` to
    support

    >   use of any payout rule when calculating the split for the order items.


    > **[draft](#tag/draft)**

    >

    > - Extend order item with `attachment`. Add support for including details

    >   about car, bus and train reservation as attachment in order items.


    ## 2020-05-01


    > **[draft](#tag/draft)**

    >

    > - Add `events` to draft. A event will be added to the draft events list

    >   when the draft is updated.

    > - Add `payout` option to enable calculating the payout for the order items

    >   store id.

    >   See [Billing API](/billing-api/payoutrules/aid_billing_payout_rules_get)

    > - Add support for dynamic payout rules via `options.payout.rules`.

    > - Add `order_id` option to allow creating a draft that will be

    >   added to an existing order.

    > - Add `split_draft` option to allow one-to-many mapping between

    >   draft and order

    > - Add support for including store when creating a draft.

    > - Add support for adding draft items with `reversed_reason`

    >   property. Use the property in case when an item should be reversed

    >   and the payment refunded.

    > - Add support for item `related_item.type=reversed`, that should be

    >   used when reversing an existing item.

    > - Add support for negative item `gross_amount` to support reversing items.


    > **[order](#tag/order)**

    >

    > - Include authorizations and cancellations in order details

    > - Include `payment_details` to the order.


    > **[sessions](#tag/order.sessions)**

    > Add support for creating sessions for and order


    > **[refunds](#tag/order.refunds)**

    > Require items to be specified when creating a refund


    > **[captures](#tag/order.captures)**

    > Require items to be specified when creating a capture


    > **[cancellations](#tag/order.cancellations)**

    > Add support for creating cancellations for an order


    > **[authorizations](#tag/order.authorizations)**

    > Add support for creating authorizations for an order


    ## 2019-07-01


    > **[orders](/orders-api/orderlist/aid_orders_get)**

    > Extend order definitions with Discounts


    > **[orders](/orders-api/orderlist/aid_orders_get)** > **[store
    orders](/orders-api/storeorder/aid_stores_sid_orders_get)**

    > add support for `include_events` on order requests. The order event

    > `state` and `events` list will be included in the response.

    >

    > - [GET shopping/orders/](/orders-api/orderlist/aid_orders_get)

    > - [GET shopping/orders/{order_id}](/orders-api/order/aid_orders_id_get)

    > - [GET
    shopping/customers/{customer_id}/orders/](/orders-api/customerorder/aid_customers_cid_orders_get)

    > - [GET
    shopping/customers/{customer_id}/orders/{order_id}](/orders-api/customerorder/aid_customers_cid_orders_id_get)

    > - [GET
    shopping/stores/{store_id}/orders/](/orders-api/storeorder/aid_stores_sid_orders_get)

    > - [GET
    shopping/stores/{store_id}/orders/{order_id}](/orders-api/storeorder/aid_stores_sid_orders_id_get)


    ## 2019-06-01


    > **[draft orders](/#tag/Draft)**

    >

    > - extend draft definition with optional
    `options.serial_order_number_suffix`

    >   property.


    > **[orders](#tag/Order)**

    >

    > - extend order definition with `courier_id` and `pickup_at` that can be
    set

    >   and updated after the order is created

    > - extend order definition with `delivery_id` that can be set after the

    >   the order is created

    > - extend order definition with optional `pre_order` property

    > - extend order definition with optional `type` property.

    > - extend order shipping_address and billing_address property

    >   with optional `comment` property that can be used for additional

    >   information needed for the address.


    > **[events](#tag/Events)**

    >

    > - allow scopes

    >   - `read:shopping:/orders/ANY/events`

    >   - `write:shopping:/orders/ANY/events`


    ## 2019-05-01


    > **[draft orders](/orders-api/orderlist/aid_draft_orders_get)**

    >

    > - filter by `status`: _open, completed, deleted_

    > - filter by `created_at.gte` and `created_at.lte`


    > **[customer
    orders](/orders-api/customerorder/aid_customers_cid_orders_get)**

    >

    > - filter by `status`: _open, closed, cancelled_

    > - filter by `payment_status`:

    >   _pending, partially_paid, paid, partially_refunded, refunded_

    > - filter by `created_at.gte` and `created_at.lte`


    > **[store orders](/orders-api/storeorder/aid_stores_sid_orders_get)**

    >

    > - filter by `status`: _open, closed, cancelled_

    > - filter by `payment_status`:

    >   _pending, partially_paid, paid, partially_refunded, refunded_

    > - filter by `created_at.gte` and `created_at.lte`


    > **[orders](/orders-api/orderlist/aid_orders_get)**

    >

    > - filter by `status`: _open, closed, cancelled_

    > - filter by `payment_status`:

    >   _pending, partially_paid, paid, partially_refunded, refunded_

    > - filter by `created_at.gte` and `created_at.lte`

    > - accept any `customer.id` format


    > **[order payments](#tag/Order-payment)**

    >

    > - require `amount` and `processed_at` when

    >   [creating a refund](/orders-api/orderrefunds/aid_orders_id_refunds_post)

    > - require `amount` and `processed_at` when

    >   [creating a
    capture](/orders-api/ordercaptures/aid_orders_id_capture_post)


    ## 2019-04-01


    > **[store orders](#tag/Store-Orders)**

    >

    > - Add endpoint for [list
    orders](/orders-api/storeorder/aid_stores_sid_orders_get) for a store

    > - Add endpoint for [get
    order](/orders-api/storeorder/aid_stores_sid_orders_id_get) for a store


    > **[customer orders](#tag/Customer-Orders)**

    >

    > - Remove uuid format requirement on customer_id path parameter


    > **[complete draft
    order](/orders-api/draft/aid_draft_orders_id_complete_put)**

    >

    > - remove support for `apply_discounts` query parameter, the parameter will

    >   only be supported from endpoints updating the draft order.


    ## 2019-03-02


    > **[complete draft
    order](/orders-api/draft/aid_draft_orders_id_complete_put)**

    >

    > - change the response to include one or more orders created from the

    >   draft.


    > Rename the API, Shopping API, all endpoints will now be prefixed with

    >

    > - `/v1/accounts/{aid}/shopping/`


    > **[order](/orders-api/order/aid_orders_id_get)**

    >

    > - Add `salesperson_id` and `salesperson_name` properties

    > - Add `delivery_at` property for specifying when the order should be

    >   delivered (in the future)


    > **[order item](/orders-api/order/aid_orders_id_get)**

    >

    > - Require `percentage` in `tax_lines` for an order item

    > - Add `quantity` property to `item.additions`, and allow negative

    >   `gross_amount`

    > - Add `related_item` property that can be used to create a relationship

    >   between two items

    > - Add `description_alias`, shorter item description for receipt

    > - Add `salesperson_id` and `salesperson_name` property


    ## 2019-02-27


    > **[order item](/orders-api/order/aid_orders_id_get)**

    >

    > - Add `metadata` property that can be used to included additional

    >   key/values on order items.

    > - Add `additions` array property. The property can be used to describe

    >   customization the customer want to be included with the order item.

    > - Add `comment` property for recording customer comments on the item


    > **[order](/orders-api/order/aid_orders_id_get)**

    >

    > - Add `comment` property for recording customer comments on the order


    # Webhooks


    Use webhooks to get notification on shopping events. See

    [Create new subscription](/webhooks-api/subscriptions/aid_source_hooks_post)

    for details on how to create a webhooks subscription


    ## Events


    Following event types are supported


    | Event                      | Description                              |

    | -------------------------- | ---------------------------------------- |

    | `shopping_draft_add`       | new draft order created                  |

    | `shopping_draft_update`    | existing draft order updated             |

    | `shopping_draft_complete`  | draft completed, includes orders created |

    | `shopping_order_update`    | existing order updated                   |

    | `shopping_order_event_add` | new event added to order                 |
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
  x-logo:
    url: https://docs.dintero.com/img/dintero-dark-padded.svg
    altText: Dintero Logo
servers:
  - url: https://api.dintero.com/v1
  - url: https://test.dintero.com/v1
security:
  - JWT: []
tags:
  - name: order.sessions
    x-displayName: Session
    description: Manage order sessions
  - name: order.authorizations
    description: Manage order authorizations
    x-displayName: Authorizations
  - name: order.captures
    description: Manage order captures
    x-displayName: Captures
  - name: order.refunds
    description: Manage order refunds
    x-displayName: Refunds
  - name: order.cancellations
    description: Manage order cancellations
    x-displayName: Cancellations
  - name: draft
    description: Manage draft
    x-displayName: Draft
  - name: draft.items
    description: Manage draft items
    x-displayName: Draft items
  - name: order
    description: Manage order
    x-displayName: Order
  - name: order.comments
    description: Manage order comments
    x-displayName: Comments
  - name: order.events
    description: Manage order events
    x-displayName: Events
  - name: order.status
    description: Manage order status
    x-displayName: Status
  - name: order.list
    description: View orders
    x-displayName: Collections
  - name: customer.order
    description: View customer orders
    x-displayName: Customer
  - name: store.order
    description: View store orders
    x-displayName: Store
paths:
  /accounts/{aid}/shopping/orders/{order_id}/sessions/{session_id}:
    get:
      tags:
        - order.sessions
      summary: aid_orders_id_sessions_id_get
      description: |
        Retrieve details about a session

        scopes:
        - admin:shopping
        - read:shopping
      operationId: aid_orders_id_sessions_id_get
      parameters:
        - $ref: '#/components/parameters/accountId'
        - $ref: '#/components/parameters/OrderId'
        - $ref: '#/components/parameters/SessionId'
      responses:
        '200':
          $ref: '#/components/responses/OrderSession'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
components:
  parameters:
    accountId:
      name: aid
      description: |
        An id that uniquely identifies the account.
      in: path
      required: true
      schema:
        type: string
        format: ^[PT]{1}\d{8}$
        minLength: 9
        maxLength: 9
    OrderId:
      name: order_id
      in: path
      description: The resource identifier string
      required: true
      schema:
        type: string
    SessionId:
      name: session_id
      in: path
      description: The resource identifier string
      required: true
      schema:
        type: string
  responses:
    OrderSession:
      description: session
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/OrderSession'
    AccessForbidden:
      description: Access forbidden, invalid JWT token was used
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    OrderSession:
      type: object
      required:
        - items
      properties:
        id:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/ResourceId'
        created_at:
          readOnly: true
          description: |
            The date-time when the resource was created
          allOf:
            - $ref: '#/components/schemas/ServerTimestamp'
        created_by:
          readOnly: true
          description: |
            The ID of the user/client created the resource
          allOf:
            - $ref: '#/components/schemas/ResourceId'
        amount:
          readOnly: true
          type: integer
          example: 27840
          description: |
            Monetary amount in smallest unit for the currency  success:
              description: |
                The result from the operation.
              type: boolean
        items:
          description: |
            Selected items from the order
          type: array
          items:
            allOf:
              - required:
                  - line_id
                properties:
                  amount:
                    readOnly: true
                    type: integer
                    example: 27840
                    description: |
                      Monetary amount in smallest unit for the currency
                  line_id:
                    type: string
                    description: |
                      Selected order items to include in the session
        processed_at:
          type: string
          format: date-time
          description: |
            The date and time when the capture was processed by payment
            gateway
        metadata:
          type: object
          description: |
            Additional details about the operation
        _links:
          type: array
          description: The links related to resource
          readOnly: true
          items:
            $ref: '#/components/schemas/Link'
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            code:
              type: string
              description: The code used to identify the error/warning
            errors:
              type: array
              description: The nested error(s) encountered during validation
              items:
                type: object
            message:
              type: string
              description: The human readable description of the error/warning
    ResourceId:
      type: string
      description: The resource ID. Defaults to UUID v4
      maxLength: 40
      example: bd04c959-d159-49b4-a096-2d84e014a8da
    ServerTimestamp:
      type: string
      description: Read-only timestamp, automatically assigned on back-end.
      format: date-time
      readOnly: true
    Link:
      type: object
      properties:
        href:
          description: The link URL
          type: string
        rel:
          description: The link type
          type: string
          enum:
            - draft
            - events
            - order
            - receipt
            - self
            - session
            - session-checkout
            - transaction
      required:
        - href
        - rel
  securitySchemes:
    JWT:
      type: http
      description: >
        Bearer authentication (token authentication) should be used for
        accessing the API.


        Use [Get Token](/api-reference/authenticate/aid_auths_oauth_token_post)
        to get an access token for client credentials.

        Pass the token in the request header:

            Authorization: Bearer {access_token}

        where the **access_token** is JSON Web Tokens (JWT).
      scheme: bearer
      bearerFormat: JWT

````